﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Syncfusion.Data;
using Android.Graphics;
using Android.Views;
using Android.Content;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using static Android.Gestures.GestureOverlayView;
using Android.Gestures;
using Android.Runtime;
using System.Data;
using Com.Syncfusion.Numerictextbox;

namespace SfGrid_Android
{
    [Activity(Label = "SfGrid_Android", MainLauncher = true, Icon = "@drawable/icon")]

    public class MainActivity : Activity
    {
        SfDataGrid dataGrid;
        OrderInfoRepository viewModel;
        LinearLayout layout;
        Button button;
        protected override void OnCreate(Bundle bundle)
        {
            dataGrid = new SfDataGrid(this);
            layout = new LinearLayout(this);
            layout.Orientation = Orientation.Vertical;
            button = new Button(this);
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource            
            viewModel = new OrderInfoRepository();

            dataGrid.AllowEditing = true;
            dataGrid.SelectionMode = SelectionMode.Single;
            dataGrid.NavigationMode = NavigationMode.Cell;
            dataGrid.EditTapAction = TapAction.OnTap;
            this.dataGrid.ItemsSource = viewModel.OrderInfoCollection;

            button.Text = "Refresh";
            button.SetBackgroundColor(Color.Gray);
            button.Click += Button_Click;

            layout.AddView(button, WindowManagerLayoutParams.MatchParent);
            layout.AddView(dataGrid, WindowManagerLayoutParams.MatchParent);


            SetContentView(layout);
        }

        private void Button_Click(object sender, System.EventArgs e)
        {
            viewModel.OrderInfoCollection.Insert(1,new OrderInfo() { Customer = "Test", CustomerID = 1, OrderID = 2, ShipCity = "city", ShipCountry = "country", ShippingDate = System.DateTime.Today });
            dataGrid.Refresh();
        }
    }
}

