﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace SfGrid_Android
{
    class OrderInfo : INotifyPropertyChanged
    {
        private int? orderID;
        private int customerID;
        private string customer;
        private string shipCity;
        private string shipCountry;
        private DateTime shippingDate;

       

        public int? OrderID
        {
            get { return orderID; }
            set
            {
                this.orderID = value;
                RaisePropertyChanged("OrderID");
            }
        }

        public int CustomerID
        {
            get { return customerID; }
            set
            {
                this.customerID = value;
                RaisePropertyChanged("CustomerID");
            }
        }

        public string ShipCountry
        {
            get { return shipCountry; }
            set
            {
                this.shipCountry = value;
                RaisePropertyChanged("ShipCountry");
            }
        }

        public string Customer
        {
            get { return this.customer; }
            set
            {
                this.customer = value;
                RaisePropertyChanged("Customer");
            }
        }

        public string ShipCity
        {
            get { return shipCity; }
            set
            {
                this.shipCity = value;
                RaisePropertyChanged("ShipCity");
            }
        }

        public DateTime ShippingDate
        {
            get { return shippingDate; }
            set
            {
                this.shippingDate = value;
                RaisePropertyChanged("ShippingDate");
            }
        }

        public OrderInfo()
        {

        }
        public OrderInfo(int orderId, int customerId, string country, string customer, string shipCity)
        {
            this.OrderID = orderId;
            this.CustomerID = customerId;
            this.Customer = customer;
            this.ShipCountry = country;
            this.ShipCity = shipCity;
            this.shippingDate = DateTime.Now;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}