﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SfGrid_Android
{
    class OrderInfoRepository : INotifyPropertyChanged
    {
        private ObservableCollection<OrderInfo> orderInfo;

       

        public ObservableCollection<OrderInfo> OrderInfoCollection
        {
            get { return orderInfo; }
            set
            {
                this.orderInfo = value;
                RaisePropertyChanged("OrderInfoCollection");
            }
        }

        public OrderInfoRepository()
        {
            orderInfo = new ObservableCollection<OrderInfo>();
            this.GenerateOrders();
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        private void GenerateOrders()
        {
            orderInfo.Add(new OrderInfo(1001, 3, "Germany", "ALFKI", "Berlin"));
            orderInfo.Add(new OrderInfo(1002, 2, "Mexico", "ANATR", "Mexico D.F."));
            orderInfo.Add(new OrderInfo(1003, 4, "Mexico", "ANTON", "Mexico D.F."));
            orderInfo.Add(new OrderInfo(1004, 7, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1005, 9, "Sweden", "BERGS", "Berlin"));
           orderInfo.Add(new OrderInfo(1006, 12, "Germany", "BLAUS", "Mannheim"));
            orderInfo.Add(new OrderInfo(1007, 12, "France", "BLONP", "Strasbourg"));
            orderInfo.Add(new OrderInfo(1008, 54, "Spain", "BOLID", "Madrid"));
            orderInfo.Add(new OrderInfo(1009, 765, "France", "BONAP", "Marseille"));
            orderInfo.Add(new OrderInfo(1010, 8765, "Canada", "BOTTM", "Tsawassen"));
            orderInfo.Add(new OrderInfo(1011, 32, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1012, 987, "Germany", "BLAUS", "Mannheim"));
            orderInfo.Add(new OrderInfo(1013, 454, "France", "BLONP", "Strasbourg"));
            orderInfo.Add(new OrderInfo(1014, 65, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1001, 23, "Germany", "ALFKI", "Berlin"));
            orderInfo.Add(new OrderInfo(1002, 987, "Mexico", "ANATR", "Mexico D.F."));
            orderInfo.Add(new OrderInfo(1003, 6, "Mexico", "ANTON", "Mexico D.F."));
            orderInfo.Add(new OrderInfo(1004, 31, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1005, 34,"Sweden", "BERGS", "Berlin"));
            orderInfo.Add(new OrderInfo(1006, 78, "Germany", "BLAUS", "Mannheim"));
            orderInfo.Add(new OrderInfo(1007, 132, "France", "BLONP", "Strasbourg"));
            orderInfo.Add(new OrderInfo(1008, 123, "Spain", "BOLID", "Madrid"));
            orderInfo.Add(new OrderInfo(1009, 9876,"France", "BONAP", "Marseille"));
            orderInfo.Add(new OrderInfo(1010, 3245, "Canada", "BOTTM", "Tsawassen"));
            orderInfo.Add(new OrderInfo(1011, 1231, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1012, 31, "Germany", "BLAUS", "Mannheim"));
            orderInfo.Add(new OrderInfo(1013,  56,"France", "BLONP", "Strasbourg"));
            orderInfo.Add(new OrderInfo(1014, 13, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1013,  54,"France", "BLONP", "Strasbourg"));
            orderInfo.Add(new OrderInfo(1014, 212, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1001,213, "Germany", "ALFKI", "Berlin"));
            orderInfo.Add(new OrderInfo(1002, 657, "Mexico", "ANATR", "Mexico D.F."));
            orderInfo.Add(new OrderInfo(1003, 879, "Mexico", "ANTON", "Mexico D.F."));
            orderInfo.Add(new OrderInfo(1004, 123, "UK", "AROUT", "London"));
            orderInfo.Add(new OrderInfo(1005, 1232, "Sweden", "BERGS", "Berlin"));
            //orderInfo.Add(new OrderInfo(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            //orderInfo.Add(new OrderInfo(1007, "Andrew Fuller", "France", "BLONP", "Strasbourg"));
            //orderInfo.Add(new OrderInfo(1008, "Martin King", "Spain", "BOLID", "Madrid"));
            //orderInfo.Add(new OrderInfo(1009, "Lenny Lin", "France", "BONAP", "Marseille"));
            //orderInfo.Add(new OrderInfo(1010, "John Carter", "Canada", "BOTTM", "Tsawassen"));
            //orderInfo.Add(new OrderInfo(1011, "Lenny King", "UK", "AROUT", "London"));
            //orderInfo.Add(new OrderInfo(1012, "Anne Wilson", "Germany", "BLAUS", "Mannheim"));
            //orderInfo.Add(new OrderInfo(1013, "Ana Kyle", "France", "BLONP", "Strasbourg"));
            //orderInfo.Add(new OrderInfo(1014, "Gina Irene", "UK", "AROUT", "London"));
        }

        //public void ItemsSourceRefresh()
        //{
        //    orderInfo.Add(new OrderInfo(8, "Martin King", "Spain", "BOLID", "Madrid"));
        //    orderInfo.Add(new OrderInfo(9, "Lenny Lin", "France", "BONAP", "Marseille"));
        //    orderInfo.Add(new OrderInfo(0, "John Carter", "Canada", "BOTTM", "Tsawassen"));
        //    orderInfo.Add(new OrderInfo(1, "Lenny King", "UK", "AROUT", "London"));
        //    orderInfo.Add(new OrderInfo(2, "Anne Wilson", "Germany", "BLAUS", "Mannheim"));
        //    orderInfo.Add(new OrderInfo(3, "Ana Kyle", "France", "BLONP", "Strasbourg"));
        //    orderInfo.Add(new OrderInfo(4, "Gina Irene", "UK", "AROUT", "London"));
        //    orderInfo.Add(new OrderInfo(3, "Ana Kyle", "France", "BLONP", "Strasbourg"));
        //    orderInfo.Add(new OrderInfo(4, "Gina Irene", "UK", "AROUT", "London"));
        //    orderInfo.Add(new OrderInfo(1, "Maria Anders", "Germany", "ALFKI", "Berlin"));
        //    orderInfo.Add(new OrderInfo(2, "Ana Hardy", "Mexico", "ANATR", "Mexico D.F."));
        //    orderInfo.Add(new OrderInfo(3, "Ant Fuller", "Mexico", "ANTON", "Mexico D.F."));
        //}
    }
}